targetselection {ShrinkCovMat} | R Documentation

## Target Matrix Selection

### Description

Implements the rule of thumb proposed by Touloumis (2015) for target matrix selection. If the estimated optimal shrinkage intensities of the three target matrices are of similar magnitude, then the average and the range of the sample variances should be inspected in order to adopt the most plausible target matrix.

### Usage

    targetselection(data, centered = FALSE)

### Arguments

`data` | a numeric matrix containing the data.
`centered` | a logical indicating if the mean vector is the zero vector.

### Details

The rows of the data matrix `data` correspond to variables and the columns to subjects.

### Value

Prints the estimated optimal shrinkage intensities, the range and average of the sample variances and returns an object of the class 'targetsel' that has components:

`optimal_sphericity` | The estimated optimal intensity for a target matrix with equal variances.
`optimal_identity` | The estimated optimal shrinkage intensity for the identity target matrix.
`optimal_diagonal` | The estimated optimal intensity for a target matrix with unequal variances.
`range` | The range of the sample variances.
`average` | The average of the sample variances.

### Author(s)

Anestis Touloumis

### References

Touloumis, A. (2015) Nonparametric Stein-type Shrinkage Covariance Matrix Estimators in High-Dimensional Settings. Computational Statistics & Data Analysis 83, 251–261.

### Examples

    data(colon)
    normal_group <- colon[, 1:40]
    targetselection(normal_group)
    ## Similar intensities, the range of the sample variances is small and the
    ## average is not close to one. The scaled identity matrix seems to be the
    ## most suitable target matrix for the normal group.

    tumor_group <- colon[, 41:62]
    targetselection(tumor_group)
    ## Similar intensities, the range of the sample variances is small and the
    ## average is not close to one. The scaled identity matrix seems to be the
    ## most suitable target matrix for the colon group.

[Package ShrinkCovMat version 1.4.0 Index]